OpenVDB: BBox< CoordT, false >::Iterator Class Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BBox< CoordT, false >::Iterator Class Reference

Iterator over the domain covered by a BBox. More...

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions
| Iterator (const BBox &b)
| Iterator (const BBox &b, const Coord &p)
Iterator & | operator++ ()
Iterator | operator++ (int)
bool | operator== (const Iterator &rhs) const
bool | operator!= (const Iterator &rhs) const
bool | operator< (const Iterator &rhs) const
bool | operator<= (const Iterator &rhs) const
| operator bool () const
| Return `true` if the iterator still points to a valid coordinate.
const CoordT & | operator* () const

## Detailed Description

template<typename CoordT>
class nanovdb::BBox< CoordT, false >::Iterator

Iterator over the domain covered by a BBox.

z is the fastest-moving coordinate.

## Constructor & Destructor Documentation

## ◆ Iterator() [1/2]

template<typename CoordT >

Iterator | ( | const BBox< CoordT, false > & | b | ) |
| inline

## ◆ Iterator() [2/2]

template<typename CoordT >

Iterator | ( | const BBox< CoordT, false > & | b,
|  | const Coord & | p
| ) |  |
| inline

## Member Function Documentation

## ◆ operator bool()

template<typename CoordT >

operator bool | ( |  | ) | const
| inline

Return `true` if the iterator still points to a valid coordinate.

## ◆ operator!=()

template<typename CoordT >

bool operator!= | ( | const Iterator & | rhs | ) | const
| inline

## ◆ operator*()

template<typename CoordT >

const CoordT & operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template<typename CoordT >

Iterator & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<typename CoordT >

Iterator operator++ | ( | int |  | ) |
| inline

## ◆ operator<()

template<typename CoordT >

bool operator< | ( | const Iterator & | rhs | ) | const
| inline

## ◆ operator<=()

template<typename CoordT >

bool operator<= | ( | const Iterator & | rhs | ) | const
| inline

## ◆ operator==()

template<typename CoordT >

bool operator== | ( | const Iterator & | rhs | ) | const
| inline